commit:     eacc05da8d6ea03887d0e5eab98224e54bac5073
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 24 04:48:03 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 05:51:29 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eacc05da

dev-python/ipaddress: 1.0.19 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/ipaddress/Manifest                |  1 +
 dev-python/ipaddress/ipaddress-1.0.19.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/dev-python/ipaddress/Manifest b/dev-python/ipaddress/Manifest
index 91140df29da..d1a7808c996 100644
--- a/dev-python/ipaddress/Manifest
+++ b/dev-python/ipaddress/Manifest
@@ -1,2 +1,3 @@
 DIST ipaddress-1.0.14.tar.gz 30429 BLAKE2B 
cbd9db35c965adca5162db0d263920f537377b378fd9ab94c9e1ff8a409611cc076bd1cea2a92c37bfbb804cc67d7c7ec6a40b16db690cea4e47ca843455f009
 SHA512 
fb33b484ca435f4e8817c735a1084f2fa749abca4643a10be644003fdb73cc9205fc28f484ef96d2db90e8b27d8a238d1d7cf20140f7942e39be12c7524e8d6f
 DIST ipaddress-1.0.18.tar.gz 32475 BLAKE2B 
7d116b1aad36bc58f9a6769b562e0b6dd260fc497a4fd697cf13d506c8828ba7e63f86f1908ec9cff1f1bb15aa76a0e850c628c30e22d5440df320b3c8ad0328
 SHA512 
7d1c8cf67db5b55a872783390ca214bb39e243d313311674afe10008e86638838bef5f9e6d703803bdcfde6d27520b1fc19d0adb19d482e27a327fb735aa0312
+DIST ipaddress-1.0.19.tar.gz 32854 BLAKE2B 
ea6bd0ac5418dca343e39c12e31a96aa6b13b091da05b7afcb3051251d3c8b8ce76a19f1d6b7ad2caf3f0077f6b522c4e0915a7a8eae28a72700732278ae4c6b
 SHA512 
e49d0d0b76c108f985a5d209092495b5839195d9c4d5c975cc17c89e98d9b6bf0983f71f3b183c3974eccf0529cfb22aa8fbe384485be019da3fb74d50f1f4f1

diff --git a/dev-python/ipaddress/ipaddress-1.0.19.ebuild 
b/dev-python/ipaddress/ipaddress-1.0.19.ebuild
new file mode 100644
index 00000000000..25470870e9d
--- /dev/null
+++ b/dev-python/ipaddress/ipaddress-1.0.19.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="IPv4/IPv6 manipulation library, backport of the ipaddress module"
+HOMEPAGE="https://github.com/phihag/ipaddress";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE=""
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       "${PYTHON}" test_ipaddress.py || die
+}

Reply via email to